<?php

include_once("conecta.php");

$acao = $_POST['acao'];
$ra   = $_POST['ra'];
$nome = $_POST['nome'];

define(DEBUG,1);

if(DEBUG) {
    echo "<p>Acao = $acao";
    echo "<p>RA   = $ra";
    echo "<p>Nome = $nome";
}

$codigo = array (
  "adi" => "Adicao",
  "alt" => "Alteracao",
  "exc" => "Exclusao",
  "con" => "Consulta",
  "lis" => "Listar"
);

if(DEBUG) {
    echo "<p><b>$codigo[$acao]</b>";
}

if($acao == 'adi') {
    adicionar($ra,$nome);
}
else if ($acao=='alt') {
    alterar($ra,$nome);
}
else if ($acao=='exc') {
    excluir($ra);
}
else if ($acao=='con') {
    consultar($ra);
}
else if ($acao=='lis') {
    listar();
}
else {
    echo "Comando nao encontrado !!!";
}
/*
 *
  Adiciona um novo aluno
*/
function adicionar($ra1,$nome1) {

    global $con;

    $erro=0;

    if(!isset($ra1) || empty($ra1)) {
        echo "<p>RA nao foi fornecido";
        $erro=1;
    }

    if(!isset($nome1) || empty($ra1)) {
        echo "<p>Nome nao foi fornecido";
        $erro=2;
    }

    if($erro==0)  {
        titulo("Insercao de novo aluno") ;

        $cmd="insert into aluno (ra,nome) values ('$ra1', '$nome1')";

        if(DEBUG) {
            echo "<p>cmd=$cmd";
        }

        $res=mysqli_query($con,$cmd);

        $erro=mysqli_errno($con);

        if($erro) {
            echo "<p>erro ($erro): " . mysqli_error($con);
        }
    }
    else {
        echo "<p>Aluno nao foi inserido";
    }
    voltar();

}

/*
  Altera o nome do aluno associado ao ra fornecido
*/
function alterar($ra1,$nome1) {

    titulo("Alteracao");

    global $con;

    $cmd="update aluno set nome='$nome1' where ra='$ra1'";

    if(DEBUG) {
        echo "<p>cmd=$cmd";
    }

    $res=mysqli_query($con,$cmd);

    $num= mysqli_affected_rows($con);

    echo "<p>linhas=$num";

    if($num>0) {

        echo "<p>$ra1: nome alterado para $nome1.";

    }
    elseif ($num==0) {
        echo "<p>Aluno: $ra1 nao foi encontrado";
    }
    elseif ($num==-1) {
        echo "<p>Erro";
        $erro=mysqli_errno($con);
        echo " - erro ($erro): " . mysqli_error($con);
    }

    voltar();

}

/*
  Exclui o aluno cujo ra e fornecido
*/
function excluir($ra1) {

    titulo("Exclusao");

    global $con;

    $cmd="delete from aluno where ra='$ra1'";

    if(DEBUG) {
        echo "<p>cmd=$cmd";
    }

    if(!empty($ra1)) {

        $res=mysqli_query($con,$cmd);

        $num= mysqli_affected_rows($con);

        echo "<p>linhas=$num";

        if($num>0) {

            echo "<p>$ra1: $nome foi excluido.";

        }
        elseif ($num==0) {
            echo "<p>Aluno: $ra1 nao foi encontrado";
        }
        elseif ($num==-1) {
            echo "<p>Erro";
            $erro=mysqli_errno($con);
            echo " - erro ($erro): " . mysqli_error($con);
        }
    }

    else {
        echo "<p>RA nao fornecido";
    }
    voltar();

}

/*
  Consulta as informaes de um aluno dado seu RA
*/
function consultar($ra1) {

    titulo("Consulta");

    $cmd="select ra, nome from aluno where ra='$ra1'";

    if(DEBUG) {
        echo "<p>cmd=$cmd";
    }

    global $con;

    $res=mysqli_query($con,$cmd);

    echo "linhas=".$res->num_rows;

    if($res->num_rows>0) {

        $dados=mysqli_fetch_assoc($res);

        $ra  =$dados['ra'];
        $nome=$dados['nome'];

        echo "<p>$ra: $nome";

    }
    else {
        echo "<p>Aluno: $ra1 nao foi encontrado";
    }

    voltar();

}

/*
  Lista todos alunos cadastrados na base de dados
*/
function listar() {

    titulo("Consulta todos alunos");

    $cmd="select ra, nome from aluno order by nome";

    if(DEBUG) {
        echo "<p>cmd=$cmd";
    }

    global $con;

    $res=mysqli_query($con,$cmd);

    $num=$res->num_rows;

    echo "<p>Numero de linhas: $num";

    echo "<table border=1>";

    while($dados=mysqli_fetch_assoc($res)) {

        $ra  =$dados['ra'];
        $nome=$dados['nome'];

        echo "<tr>";

        echo "<td>$ra</td>";
        echo "<td>$nome</td>";


        echo "</tr>";

    }

    echo "</table>";

    voltar();

}

/*
  Cria um link que permite ao usurio retornar a pgina inicial
*/
function voltar()
{
    echo "<br><hr>"  ;
    echo "<p><a href='tela1.html'>voltar</a> <a href=\"http://www.policamp.edu.br\">Policamp</a>";
}

/*
  Exibe um ttulo centralizado seguido the uma linha horizontal
*/
function titulo($titulo)
{
    echo "<h1 align='center'>$titulo</h1>";
    echo "<hr>";
}


?>
