<?php

include_once("conecta.php");

$acao = $_POST['acao'];
$cod_pedido = $_POST['cod_pedido'];
$descricao  = $_POST['descricao'];
$data       = $_POST['data'];

#echo "<p>Acao = $acao";

if($acao == 'adi') {
    //echo "adicao";
    adicionar($cod_pedido,$descricao,$data);
}
else if ($acao=='alt') {
    //echo "alteracao";
    alterar($cod_pedido,$descricao,$data);
}
else if ($acao=='exc') {
    //echo "exclusao";
    excluir($cod_pedido);
}
else if ($acao=='con') {
    //echo "consulta";
    consultar($cod_pedido);
}
else if ($acao=='lis') {
   // echo "Listar";
    listar();
}

/*
  Adiciona um novo pedido
*/
function adicionar($cod_pedido,$descricao,$data) {

  global $con;

  if(!isset($descricao)) {
      echo "<p>Descricao nao foi fornecido";
  }

  if(!isset($data)) {
      echo "<p>Data nao foi fornecida";
  }

  titulo("Insercao");

  $cmd="insert into pedido (descricao,data) values ('$descricao', '$data')";

  #echo "<p>cmd=$cmd";

  $res=mysqli_query($con,$cmd);

  if($erro=mysqli_errno($con)) {
      echo "<p>erro ($erro): " . mysqli_error($con);
  }

  voltar();

}

/*
  Altera o nome do aluno associado ao ra fornecido
*/
function alterar($cod_pedido,$descricao,$data) {

  titulo("Alteracao");

  global $con;

  $cmd="update pedido set descricao='$descricao', data='$data' where cod_pedido='$cod_pedido'";

  #echo "<p>cmd=$cmd";

  $res=mysqli_query($con,$cmd);

  $num= mysqli_affected_rows($con);

  echo "<p>linhas=$num";

  if($num>0) {

      echo "<p>Dados foram alterados";

  }
  elseif ($num==0) {
      echo "<p>Codigo do pedido: <b>$cod_pedido</b> nao foi encontrado.";
  }
  elseif ($num==-1) {
      echo "<p>Erro";
      $erro=mysqli_errno($con);
      echo " - erro ($erro): " . mysqli_error($con);
  }

  voltar();

}

/*
  Exclui o aluno cujo ra e fornecido
*/
function excluir($ra1) {

  titulo("Exclusao");

  global $con;

  $cmd="delete from pedido where cod_pedido='$cod_pedido'";

  #echo "<p>cmd=$cmd";

  $res=mysqli_query($con,$cmd);

  $num= mysqli_affected_rows($con);

  echo "<p>linhas=$num";

  if($num>0) {

      echo "<p>Pedido $cod_pedido foi excluido.";

  }
  elseif ($num==0) {
      echo "<p>Pedido $cod_pedido nao foi encontrado";
  }
  elseif ($num==-1) {
      echo "<p>Erro";
      $erro=mysqli_errno($con);
      echo " - erro ($erro): " . mysqli_error($con);
  }

  voltar();

}

/*
  Consulta as informaes de um aluno dado seu RA
*/
function consultar($cod_pedido) {

  if(!isset($cod_pedido)) {
      echo "<p>Codigo do pedido nao foi fornecido</p>";
      //header("Location: tela1.html");
  }

  titulo("Consulta");

  $cmd="select cod_pedido, descricao, data from pedido where cod_pedido='$cod_pedido'";
  echo "<p>cmd=$cmd";

  global $con;

  $res=mysqli_query($con,$cmd);

  echo "linhas=".$res->num_rows;

  if($res->num_rows>0) {

      $dados=mysqli_fetch_assoc($res);

      $cod_pedido  =$dados['cod_pedido'];
      $descricao   =$dados['descricao'];
      $data        =$dados['descricao'];

      echo "<p>$cod_pedido, $descricao, $data";

  }
  else {
      echo "<p>Pedido <b>$cod_pedido</b> nao foi encontrado";
  }

  voltar();

}

/*
  Lista todos alunos cadastrados na base de dados
*/
function listar() {

  titulo("Lista todos os pedidos");

  $cmd="select cod_pedido, descricao, data from pedido order by data";

  global $con;

  $res=mysqli_query($con,$cmd);

  $num=$res->num_rows;

  echo "<p>Numero de linhas: $num";

  echo "<table border=1 align=center>";

  echo "<td><b>cod_pedido</b></td>";
  echo "<td><b>descricao</b></td>";
  echo "<td><b>data</b></td>";

  while($dados=mysqli_fetch_assoc($res)) {

      $cod_pedido  =$dados['cod_pedido'];
      $descricao=$dados['descricao'];
      $data=$dados['data'];

      echo "<tr>";

      echo "<td align='center'>$cod_pedido</td>";
      echo "<td>$descricao</td>";

      $data_formatada = date("d/m/Y",strtotime($data));
      echo "<td>$data_formatada</td>";


      echo "</tr>";

  }

  echo "</table>";

  echo "<br>";
  echo "<hr>";

  voltar();

}

/*
  Cria um link que permite ao usurio retornar a pgina inicial
*/
function voltar()
{
  echo "<p><a href='tela1.html'>voltar</a> <a href=\"http://www.policamp.edu.br\">Policamp</a>";
}

/*
  Exibe um ttulo centralizado seguido the uma linha horizontal
*/
function titulo($titulo)
{
  echo "<h1 align='center'>$titulo</h1>";
  echo "<hr>";
}


?>
